Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class TimeZone

    java.lang.Object
      com.tibco.bpm.web.client.model.types.TimeZone

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class TimeZone

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Defines Detailed TimeZone class

©2013 TIBCO Software Inc.

Since:
  TODO

Constructor Summary
`TimeZone()` Constructor

Method Summary
`java.lang.String` | `getDisplayName()` User display-able value (not localized)
`java.lang.String` | `getId()` Value passed to calendar service
`int` | `getRawOffset()` Offset in milliseconds from UTC
`boolean` | `isUseDST()` Determines if this timezone uses DST
`void` | `setDisplayName(java.lang.String displayName)` Setter for user display-able value (not localized)
`void` | `setId(java.lang.String id)` Setter for Value passed to calendar service
`void` | `setRawOffset(int rawOffset)` Setter for offset in milliseconds from UTC
`void` | `setUseDST(boolean useDST)` Setter for uses DST

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeZone

    public TimeZone()

  Constructor

Method Detail

### getId

    public java.lang.String getId()

  Value passed to calendar service

  Returns:

### setId

    public void setId(java.lang.String id)

  Setter for Value passed to calendar service

  Parameters:
    `id` -

### getDisplayName

    public java.lang.String getDisplayName()

  User display-able value (not localized)

  Returns:

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Setter for user display-able value (not localized)

  Parameters:
    `displayName` -

### isUseDST

    public boolean isUseDST()

  Determines if this timezone uses DST

  Returns:

### setUseDST

    public void setUseDST(boolean useDST)

  Setter for uses DST

  Parameters:
    `useDST` -

### getRawOffset

    public int getRawOffset()

  Offset in milliseconds from UTC

  Returns:

### setRawOffset

    public void setRawOffset(int rawOffset)

  Setter for offset in milliseconds from UTC

  Parameters:
    `rawOffset` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.